Page MenuHomePhabricator

DocBookExport: Leaks server info
Closed, ResolvedPublic

Description

When no or an empty file is produced, the result message from the server will be

{
    "result": {
        "success": "Unable to start auto download. Download using this link: /var/www/html/w/images/DocBookExport/foobar.pdf"
    }
}

"Success" is probably not the right word. Also, I would rather not let the whole world know the exact whereabouts of files on my server (although it is standard and probably not too dangerous to divulge).

Event Timeline

Foxtrott created this task.Jun 8 2018, 7:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2018, 7:42 PM
Vvjjkkii renamed this task from DocBookExport: Leaks server info to hdbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii removed Nischayn22 as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Nischayn22; removed: Aklapper.
CommunityTechBot renamed this task from hdbaaaaaaa to DocBookExport: Leaks server info.Jul 2 2018, 3:06 PM
CommunityTechBot assigned this task to Nischayn22.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: Aklapper; removed: Nischayn22.
Nischayn22 closed this task as Resolved.Aug 17 2019, 1:09 PM

Fixed with the latest restructure of the extension.